#!/bin/bash
#
# vdns-stack
# https://git.stack-source.com/msb/vdns-stack
# Copyright (c) 2024 Matthew Saunders Brown <matthewsaundersbrown@gmail.com>
# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)

# load include file
source $(dirname $0)/vdns.sh

help()
{
  /usr/local/sbin/pdns-rr-del.sh -p $thisfilename -h
}

vdns:getoptions "$@"

# check for zone
if [[ -z $zone ]]; then
  echo "zone is required"
  exit 1
fi

zone_exists=$(/usr/local/bin/vdns-zone-ext.sh -z $zone)
if [[ $zone_exists = "true" ]]; then
  /usr/local/sbin/pdns-rr-del.sh "$@"
else
  echo Zone $zone not found.
fi
