#!/bin/bash
#
# vdns-stack
# https://git.stack-source.com/msb/vdns-stack
# Copyright (c) 2024 Matthew Saunders Brown <matthewsaundersbrown@gmail.com>
# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)

# load include file
source $(dirname $0)/vdns.sh

help()
{
  echo "Check if Zone exists (and is associated with this server)."
  echo ""
  echo "usage: $thisfilename -z <zone> [-h]"
  echo ""
  echo "  -h            Print this help."
  echo "  -z <zone>     Zone (domain name) check."
}

vdns:getoptions "$@"

# check for zone
if [[ -z $zone ]]; then
  echo "zone is required"
  exit 1
fi

SEARCH=($(/usr/local/bin/vdns-zone-lst.sh -q $zone))
if [[ ${#SEARCH[@]} = 2 ]]; then
  if [[ "${SEARCH[1]}" = $zone ]]; then
    echo true
    exit 0
  fi
fi

echo false
exit 1
